🚧 [Experimental] Get dashboard

Returns the specified dashboard.

Request

POST

http://<хост_on-premises>/rpc/getDashboard

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "dashboardId": "example",
  "revId": "example",
  "includePermissions": true,
  "includeLinks": true,
  "includeFavorite": true,
  "branch": "saved",
  "workbookId": "example"
}

Name

Description

dashboardId

Type: string

Example: example

branch

Type: EntryBranch

Entry branch: saved or published.

Enum: saved, published

includeFavorite

Type: boolean

includeLinks

Type: boolean

includePermissions

Type: boolean

revId

Type: string

Example: example

workbookId

Type: string

Example: example

EntryBranch

Entry branch: saved or published.

Type: string

Enum: saved, published

Responses

200 OK

Response

Body

application/json
{
  "entry": {
    "annotation": {
      "description": "example"
    },
    "createdAt": "example",
    "createdBy": "example",
    "data": {
      "counter": 1,
      "salt": "example",
      "schemeVersion": 8,
      "tabs": [
        {
          "id": "example",
          "title": "example",
          "hidden": true,
          "items": [
            null
          ],
          "layout": [
            null
          ],
          "connections": [
            null
          ],
          "aliases": {},
          "globalItems": [
            null
          ],
          "settings": {}
        }
      ],
      "settings": {
        "autoupdateInterval": 30,
        "maxConcurrentRequests": 1,
        "loadPriority": "charts",
        "silentLoading": true,
        "dependentSelectors": true,
        "globalParams": {},
        "signedGlobalParams": {},
        "hideTabs": true,
        "hideDashTitle": true,
        "expandTOC": true,
        "backgroundSettings": {
          "color": null
        },
        "widgetsSettings": {
          "borderRadius": 0.5,
          "backgroundSettings": {}
        },
        "loadOnlyVisibleCharts": true,
        "margins": [
          null
        ],
        "enableAssistant": true
      },
      "supportDescription": "example",
      "accessDescription": "example",
      "description": "example"
    },
    "entryId": "example",
    "hidden": true,
    "key": "example",
    "links": {},
    "meta": {},
    "public": true,
    "publishedId": "example",
    "revId": "example",
    "savedId": "example",
    "scope": "dash",
    "tenantId": "example",
    "type": "",
    "updatedAt": "example",
    "updatedBy": "example",
    "revUpdatedAt": "example",
    "revUpdatedBy": "example",
    "version": 1,
    "workbookId": null
  },
  "isFavorite": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

Name

Description

entry

Type: DashboardV1

Example
{
  "annotation": {
    "description": "example"
  },
  "createdAt": "example",
  "createdBy": "example",
  "data": {
    "counter": 1,
    "salt": "example",
    "schemeVersion": 8,
    "tabs": [
      {
        "id": "example",
        "title": "example",
        "hidden": true,
        "items": [
          null
        ],
        "layout": [
          {}
        ],
        "connections": [
          {}
        ],
        "aliases": {
          "default": [
            null
          ]
        },
        "globalItems": [
          null
        ],
        "settings": {
          "fixedHeaderCollapsedDefault": true,
          "isGoldenset": true
        }
      }
    ],
    "settings": {
      "autoupdateInterval": 30,
      "maxConcurrentRequests": 1,
      "loadPriority": "charts",
      "silentLoading": true,
      "dependentSelectors": true,
      "globalParams": {},
      "signedGlobalParams": {},
      "hideTabs": true,
      "hideDashTitle": true,
      "expandTOC": true,
      "backgroundSettings": {
        "color": {}
      },
      "widgetsSettings": {
        "borderRadius": 0.5,
        "backgroundSettings": {
          "color": null
        }
      },
      "loadOnlyVisibleCharts": true,
      "margins": [
        null
      ],
      "enableAssistant": true
    },
    "supportDescription": "example",
    "accessDescription": "example",
    "description": "example"
  },
  "entryId": "example",
  "hidden": true,
  "key": "example",
  "links": {},
  "meta": {},
  "public": true,
  "publishedId": "example",
  "revId": "example",
  "savedId": "example",
  "scope": "dash",
  "tenantId": "example",
  "type": "",
  "updatedAt": "example",
  "updatedBy": "example",
  "revUpdatedAt": "example",
  "revUpdatedBy": "example",
  "version": 1,
  "workbookId": null
}

isFavorite

Type: boolean

Indicates if the chart is marked as favorite.

permissions

Type: EntryPermissions

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

EntryAnnotation

Type: object | null

Example
{
  "description": "example"
}

DashboardData

Name

Description

counter

Type: integer

Counter used to generate item identifiers.

Min value: 1

salt

Type: string

Salt used to generate item identifiers.

Min length: 1

Example: example

schemeVersion

Type: number

Dashboard schema version.

Const: 8

settings

Type: object

autoupdateInterval

Any of 3 types
  • Type: number

    Min value: 30

  • Type: null

    Example: null

  • Type: null

    Example: null

Automatic refresh interval in seconds.

Example: 30

dependentSelectors

Type: boolean

Whether selectors can depend on each other.

expandTOC

Type: boolean

Whether to expand the table of contents.

maxConcurrentRequests

Any of 3 types
  • Type: number

    Min value: 1

  • Type: null

    Example: null

  • Type: null

    Example: null

Maximum number of concurrent requests.

Example: 1

silentLoading

Type: boolean

Whether to suppress the loading indicator.

backgroundSettings

Type: object

color

Any of 2 types
  • Type: object

    dark

    Type: string

    Color for the dark theme.

    Example: example

    light

    Type: string

    Color for the light theme.

    Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    
  • Type: string

    Example: example

Example
{
  "light": "example",
  "dark": "example"
}

Define the hex color for the widget's background

Example
{
  "color": {
    "light": "example",
    "dark": "example"
  }
}

enableAssistant

Type: boolean

globalParams

Type: object

[additional]

Any of 2 types
  • Type: string

    Example: example

  • Type: string[]

    Example
    [
      "example"
    ]
    

Example: example

Dashboard-wide parameter values.

Example
{}

hideDashTitle

Type: boolean

Whether to hide the dashboard title.

hideTabs

Type: boolean

Whether to hide the tab bar.

loadOnlyVisibleCharts

Type: boolean

Whether to load only visible charts.

loadPriority

Type: string

Dashboard loading priority.

Enum: charts, selectors

margins

Type: unknown[]

Margins between widgets on dash. Each value must be between 0 and 22 with step 2

Example
[
  null
]

signedGlobalParams

Type: object

[additional]

Any of 2 types
  • Type: string

    Example: example

  • Type: string[]

    Example
    [
      "example"
    ]
    

Example: example

Used only for secure cases

Example
{}

widgetsSettings

Type: object

backgroundSettings

Type: object

color

Any of 2 types
  • Type: object

    dark

    Type: string

    Color for the dark theme.

    Example: example

    light

    Type: string

    Color for the light theme.

    Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    
  • Type: string

    Example: example

Example
{
  "light": "example",
  "dark": "example"
}

Define the hex color for the widget's background

Example
{
  "color": {
    "light": "example",
    "dark": "example"
  }
}

borderRadius

Type: number

Border-radius of widgets. Value must be between 0 and 24 with step 2

Visual settings for all widgets on dash

Example
{
  "borderRadius": 0.5,
  "backgroundSettings": {
    "color": {
      "light": "example",
      "dark": "example"
    }
  }
}

Dashboard settings.

Example
{
  "autoupdateInterval": 30,
  "maxConcurrentRequests": 1,
  "loadPriority": "charts",
  "silentLoading": true,
  "dependentSelectors": true,
  "globalParams": {},
  "signedGlobalParams": {},
  "hideTabs": true,
  "hideDashTitle": true,
  "expandTOC": true,
  "backgroundSettings": {
    "color": {
      "light": "example",
      "dark": "example"
    }
  },
  "widgetsSettings": {
    "borderRadius": 0.5,
    "backgroundSettings": {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
  },
  "loadOnlyVisibleCharts": true,
  "margins": [
    null
  ],
  "enableAssistant": true
}

tabs

Type: object[]

aliases

Type: object

default

Type: string[][]

Groups of field names treated as the same parameter.

Example
[
  [
    "example",
    "example"
  ]
]

Field aliases used on the tab.

Example
{
  "default": [
    [
      "example",
      "example"
    ]
  ]
}

connections

Type: object[]

from

Type: string

Source widget identifier.

Min length: 1

Example: example

kind

Type: string

Connection type.

Const: ignore

Example: example

to

Type: string

Target widget identifier.

Min length: 1

Example: example

Connections between tab items.

Example
[
  {
    "from": "example",
    "to": "example",
    "kind": "ignore"
  }
]

id

Type: string

Tab identifier.

Min length: 1

Example: example

items

Type: array
One of 7 types
  • Type: object

    data

    Type: object

    text

    Type: string

    Text item content.

    Example: example

    autoHeight

    Type: boolean

    Whether to adjust the item height to its content.

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings instead.

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    Example
    {
      "text": "example",
      "autoHeight": true,
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: text

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "text",
      "data": {
        "text": "example",
        "autoHeight": true,
        "background": {
          "enabled": true,
          "color": "example"
        },
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    size

    Any of 2 types
    • Type: string

      Enum: xl, l, m, s, xs

    • Type: object

      fontSize

      Type: number

      Title font size.

      lineHeight

      Type: number

      Title line height.

      Example
      {
        "fontSize": 0.5,
        "lineHeight": 0.5
      }
      

    Title size settings.

    Example: xl

    text

    Type: string

    Title text.

    Example: example

    autoHeight

    Type: boolean

    Whether to adjust the title height to its content.

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    hint

    Type: object

    enabled

    Type: boolean

    Whether the title hint is enabled.

    text

    Type: string

    Title hint text.

    Example: example

    Title hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    showInTOC

    Type: boolean

    Whether to show the title in the table of contents.

    textColor

    Type: string

    Deprecated. Use textSettings.

    Example: example

    textSettings

    Type: object

    color

    Any of 2 types
    • Type: string

      Example: example

    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      

    Example: example

    Title text settings.

    Example
    {
      "color": "example"
    }
    
    Example
    {
      "text": "example",
      "size": "xl",
      "showInTOC": true,
      "autoHeight": true,
      "textColor": "example",
      "textSettings": {
        "color": "example"
      },
      "hint": {
        "enabled": true,
        "text": "example"
      },
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: title

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "title",
      "data": {
        "text": "example",
        "size": "xl",
        "showInTOC": true,
        "autoHeight": true,
        "textColor": "example",
        "textSettings": {
          "color": "example"
        },
        "hint": {
          "enabled": true,
          "text": "example"
        },
        "background": {
          "enabled": true,
          "color": "example"
        },
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    hideTitle

    Type: boolean

    Whether to hide the widget title.

    tabs

    Type: object[]

    chartId

    Type: string

    Chart identifier.

    Min length: 1

    Example: example

    id

    Type: string

    Widget tab identifier.

    Min length: 1

    Example: example

    params

    Type: object

    [additional]

    Any of 2 types
    • Type: string

      Example: example

    • Type: string[]

      Example
      [
        "example"
      ]
      

    Example: example

    Parameters passed to the chart.

    Example
    {}
    

    title

    Type: string

    Widget tab title.

    Min length: 1

    Example: example

    autoHeight

    Type: boolean

    Whether to adjust the widget height to its content.

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    description

    Type: string

    Widget tab description.

    Example: example

    enableActionParams

    Type: boolean

    Whether chart actions can update parameters.

    enableDescription

    Type: boolean

    Whether the widget tab description is enabled.

    enableHint

    Type: boolean

    Whether the widget tab hint is enabled.

    hint

    Type: string

    Widget tab hint.

    Example: example

    isDefault

    Type: boolean

    Whether this is the default widget tab.

    Example
    [
      {
        "id": "example",
        "title": "example",
        "description": "example",
        "hint": "example",
        "enableHint": true,
        "enableDescription": true,
        "chartId": "example",
        "isDefault": true,
        "params": {},
        "autoHeight": true,
        "enableActionParams": true,
        "background": {
          "enabled": true,
          "color": "example"
        }
      }
    ]
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    Example
    {
      "hideTitle": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "tabs": [
        {
          "id": "example",
          "title": "example",
          "description": "example",
          "hint": "example",
          "enableHint": true,
          "enableDescription": true,
          "chartId": "example",
          "isDefault": true,
          "params": {},
          "autoHeight": true,
          "enableActionParams": true,
          "background": {
            "enabled": true,
            "color": "example"
          }
        }
      ]
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: widget

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "widget",
      "data": {
        "hideTitle": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "tabs": [
          {
            "id": "example",
            "title": "example",
            "description": "example",
            "hint": "example",
            "enableHint": true,
            "enableDescription": true,
            "chartId": "example",
            "isDefault": true,
            "params": {},
            "autoHeight": true,
            "enableActionParams": true,
            "background": {
              "enabled": true,
              "color": "example"
            }
          }
        ]
      }
    }
    
  • Type: object

    data

    Type: object

    src

    Type: string

    Image source URL.

    Example: example

    alt

    Type: string

    Alternative text for the image.

    Example: example

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings.

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    preserveAspectRatio

    Type: boolean

    Whether to preserve the image aspect ratio.

    Example
    {
      "src": "example",
      "alt": "example",
      "preserveAspectRatio": true,
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: image

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "image",
      "data": {
        "src": "example",
        "alt": "example",
        "preserveAspectRatio": true,
        "background": {
          "enabled": true,
          "color": "example"
        },
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    hideTitle

    Type: boolean

    Whether to hide the insight widget title.

    prompt

    Type: string

    Prompt used to generate the widget.

    Min length: 1

    Example: example

    widgetTabId

    Type: string

    Neuro widget tab identifier.

    Min length: 1

    Example: example

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    hideActions

    Type: boolean

    Whether to hide insight widget actions.

    title

    Type: string

    Neuro widget title.

    Example: example

    Example
    {
      "widgetTabId": "example",
      "title": "example",
      "prompt": "example",
      "hideTitle": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "hideActions": true
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: neuro_widget

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "neuro_widget",
      "data": {
        "widgetTabId": "example",
        "title": "example",
        "prompt": "example",
        "hideTitle": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "hideActions": true
      }
    }
    
  • Type: object

    data

    One of 3 types
    • Type: object

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

            Example
            [
              "example"
            ]
            

          Default selected value or values.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          multiselectable

          Type: boolean

          Whether multiple values can be selected.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "multiselectable": true,
            "elementType": "select",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Date control type.

          Const: date

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Default date value.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          isRange

          Type: boolean

          Whether the control selects a date range.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "isRange": true,
            "elementType": "date",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Const: input

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "input",
            "defaultValue": "example"
          }
          
        • Type: object

          defaultValue

          Type: string

          Example: example

          elementType

          Type: string

          Const: checkbox

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "checkbox",
            "defaultValue": "example"
          }
          
        Example
        {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example"
        }
        
      • Type: object

        datasetFieldId

        Type: string

        Source dataset field identifier.

        Min length: 1

        Example: example

        datasetId

        Type: string

        Source dataset identifier.

        Min length: 1

        Example: example

        datasetFieldType

        Type: string

        Source dataset field type.

        Enum: DIMENSION, MEASURE, PSEUDO, PARAMETER

        Example
        {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
        
      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "datasetId": "example",
        "datasetFieldId": "example",
        "datasetFieldType": "DIMENSION"
      }
      

      sourceType

      Type: string

      Const: dataset

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      autoHeight

      Type: boolean

      Whether to adjust the control height to its content.

      backgroundSettings

      Type: object

      color

      Any of 2 types
      • Type: object

        dark

        Type: string

        Color for the dark theme.

        Example: example

        light

        Type: string

        Color for the light theme.

        Example: example

        Example
        {
          "light": "example",
          "dark": "example"
        }
        
      • Type: string

        Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      

      Define the hex color for the widget's background

      Example
      {
        "color": {
          "light": "example",
          "dark": "example"
        }
      }
      

      borderRadius

      Type: number

      Border-radius of widgets. Value must be between 0 and 24 with step 2

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "autoHeight": true,
        "sourceType": "dataset",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
      
    • Type: object

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

            Example
            [
              "example"
            ]
            

          Default selected value or values.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          multiselectable

          Type: boolean

          Whether multiple values can be selected.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "multiselectable": true,
            "elementType": "select",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Date control type.

          Const: date

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Default date value.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          isRange

          Type: boolean

          Whether the control selects a date range.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "isRange": true,
            "elementType": "date",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Const: input

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "input",
            "defaultValue": "example"
          }
          
        • Type: object

          defaultValue

          Type: string

          Example: example

          elementType

          Type: string

          Const: checkbox

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "checkbox",
            "defaultValue": "example"
          }
          
        Example
        {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example"
        }
        
      • Type: object

        fieldName

        Type: string

        Parameter name for the manual control.

        Min length: 1

        Example: example

        acceptableValues

        Any of 2 types
        • Type: object[]

          title

          Type: string

          Label for the allowed value.

          Example: example

          value

          Type: string

          Allowed control value.

          Example: example

          Example
          [
            {
              "value": "example",
              "title": "example"
            }
          ]
          
        • Type: object

          from

          Type: string

          Start of the allowed value range.

          Example: example

          to

          Type: string

          End of the allowed value range.

          Example: example

          Example
          {
            "from": "example",
            "to": "example"
          }
          

        Values accepted by the manual control.

        Example
        [
          {
            "value": "example",
            "title": "example"
          }
        ]
        
        Example
        {
          "fieldName": "example",
          "acceptableValues": [
            {
              "value": "example",
              "title": "example"
            }
          ]
        }
        
      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "fieldName": "example",
        "acceptableValues": [
          {
            "value": "example",
            "title": "example"
          }
        ]
      }
      

      sourceType

      Type: string

      Const: manual

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      autoHeight

      Type: boolean

      Whether to adjust the control height to its content.

      backgroundSettings

      Type: object

      color

      Any of 2 types
      • Type: object

        dark

        Type: string

        Color for the dark theme.

        Example: example

        light

        Type: string

        Color for the light theme.

        Example: example

        Example
        {
          "light": "example",
          "dark": "example"
        }
        
      • Type: string

        Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      

      Define the hex color for the widget's background

      Example
      {
        "color": {
          "light": "example",
          "dark": "example"
        }
      }
      

      borderRadius

      Type: number

      Border-radius of widgets. Value must be between 0 and 24 with step 2

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "autoHeight": true,
        "sourceType": "manual",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "fieldName": "example",
          "acceptableValues": [
            {}
          ]
        }
      }
      
    • Type: object

      source

      Type: object

      chartId

      Type: string

      Min length: 1

      Example: example

      Example
      {
        "chartId": "example"
      }
      

      sourceType

      Type: string

      Const: external

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      autoHeight

      Type: boolean

      Whether to adjust the control height to its content.

      backgroundSettings

      Type: object

      color

      Any of 2 types
      • Type: object

        dark

        Type: string

        Color for the dark theme.

        Example: example

        light

        Type: string

        Color for the light theme.

        Example: example

        Example
        {
          "light": "example",
          "dark": "example"
        }
        
      • Type: string

        Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      

      Define the hex color for the widget's background

      Example
      {
        "color": {
          "light": "example",
          "dark": "example"
        }
      }
      

      borderRadius

      Type: number

      Border-radius of widgets. Value must be between 0 and 24 with step 2

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "autoHeight": true,
        "sourceType": "external",
        "source": {
          "chartId": "example"
        }
      }
      

    Control item data.

    Example
    {
      "title": "example",
      "impactType": "allTabs",
      "impactTabsIds": [
        "example"
      ],
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "autoHeight": true,
      "sourceType": "dataset",
      "source": {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": null,
        "datasetId": "example",
        "datasetFieldId": "example",
        "datasetFieldType": "DIMENSION"
      }
    }
    

    defaults

    Type: object

    [additional]

    Any of 2 types
    • Type: string

      Example: example

    • Type: string[]

      Example
      [
        "example"
      ]
      

    Example: example

    Default control values.

    Example
    {}
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Control item type.

    Const: control

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "control",
      "data": {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "backgroundSettings": {
          "color": {}
        },
        "borderRadius": 0.5,
        "autoHeight": true,
        "sourceType": "dataset",
        "source": {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      },
      "defaults": {}
    }
    
  • Type: object

    data

    Type: object

    autoHeight

    Type: boolean

    Whether to adjust the group height to its content.

    buttonApply

    Type: boolean

    Whether to show the Apply button.

    buttonReset

    Type: boolean

    Whether to show the Reset button.

    group

    Type: array
    One of 2 types
    • Type: object

      id

      Type: string

      Control identifier.

      Min length: 1

      Example: example

      namespace

      Type: string

      Control namespace.

      Const: default

      Example: example

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

            Example
            [
              "example"
            ]
            

          Default selected value or values.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          multiselectable

          Type: boolean

          Whether multiple values can be selected.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "multiselectable": true,
            "elementType": "select",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Date control type.

          Const: date

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Default date value.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          isRange

          Type: boolean

          Whether the control selects a date range.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "isRange": true,
            "elementType": "date",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Const: input

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "input",
            "defaultValue": "example"
          }
          
        • Type: object

          defaultValue

          Type: string

          Example: example

          elementType

          Type: string

          Const: checkbox

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "checkbox",
            "defaultValue": "example"
          }
          
        Example
        {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example"
        }
        
      • Type: object

        datasetFieldId

        Type: string

        Source dataset field identifier.

        Min length: 1

        Example: example

        datasetId

        Type: string

        Source dataset identifier.

        Min length: 1

        Example: example

        datasetFieldType

        Type: string

        Source dataset field type.

        Enum: DIMENSION, MEASURE, PSEUDO, PARAMETER

        Example
        {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
        
      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "datasetId": "example",
        "datasetFieldId": "example",
        "datasetFieldType": "DIMENSION"
      }
      

      sourceType

      Type: string

      Const: dataset

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      defaults

      Type: object

      [additional]

      Any of 2 types
      • Type: string

        Example: example

      • Type: string[]

        Example
        [
          "example"
        ]
        

      Example: example

      Default control values.

      Example
      {}
      

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      placementMode

      Type: string

      Control placement mode.

      Enum: auto, %, px

      width

      Type: string

      Control width.

      Example: example

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "dataset",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
      
    • Type: object

      id

      Type: string

      Control identifier.

      Min length: 1

      Example: example

      namespace

      Type: string

      Control namespace.

      Const: default

      Example: example

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

            Example
            [
              "example"
            ]
            

          Default selected value or values.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          multiselectable

          Type: boolean

          Whether multiple values can be selected.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "multiselectable": true,
            "elementType": "select",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Date control type.

          Const: date

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Default date value.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          isRange

          Type: boolean

          Whether the control selects a date range.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "isRange": true,
            "elementType": "date",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Const: input

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "input",
            "defaultValue": "example"
          }
          
        • Type: object

          defaultValue

          Type: string

          Example: example

          elementType

          Type: string

          Const: checkbox

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "checkbox",
            "defaultValue": "example"
          }
          
        Example
        {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example"
        }
        
      • Type: object

        fieldName

        Type: string

        Parameter name for the manual control.

        Min length: 1

        Example: example

        acceptableValues

        Any of 2 types
        • Type: object[]

          title

          Type: string

          Label for the allowed value.

          Example: example

          value

          Type: string

          Allowed control value.

          Example: example

          Example
          [
            {
              "value": "example",
              "title": "example"
            }
          ]
          
        • Type: object

          from

          Type: string

          Start of the allowed value range.

          Example: example

          to

          Type: string

          End of the allowed value range.

          Example: example

          Example
          {
            "from": "example",
            "to": "example"
          }
          

        Values accepted by the manual control.

        Example
        [
          {
            "value": "example",
            "title": "example"
          }
        ]
        
        Example
        {
          "fieldName": "example",
          "acceptableValues": [
            {
              "value": "example",
              "title": "example"
            }
          ]
        }
        
      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "fieldName": "example",
        "acceptableValues": [
          {
            "value": "example",
            "title": "example"
          }
        ]
      }
      

      sourceType

      Type: string

      Const: manual

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      defaults

      Type: object

      [additional]

      Any of 2 types
      • Type: string

        Example: example

      • Type: string[]

        Example
        [
          "example"
        ]
        

      Example: example

      Default control values.

      Example
      {}
      

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      placementMode

      Type: string

      Control placement mode.

      Enum: auto, %, px

      width

      Type: string

      Control width.

      Example: example

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "manual",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "fieldName": "example",
          "acceptableValues": [
            {}
          ]
        }
      }
      

    Controls in the group.

    Example
    [
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "dataset",
        "source": {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
    ]
    

    showGroupName

    Type: boolean

    Whether to show the control group name.

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: object

      dark

      Type: string

      Color for the dark theme.

      Example: example

      light

      Type: string

      Color for the light theme.

      Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Define the hex color for the widget's background

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Border-radius of widgets. Value must be between 0 and 24 with step 2

    groupName

    Type: string

    Control group name.

    Example: example

    impactTabsIds

    Type: array | null

    Identifiers of tabs affected by the control group.

    Example
    [
      "example"
    ]
    

    impactType

    Type: string

    Tabs affected by the control group.

    Enum: allTabs, currentTab, selectedTabs

    updateControlsOnChange

    Type: boolean

    Whether controls update immediately after a value changes.

    Example
    {
      "autoHeight": true,
      "buttonApply": true,
      "buttonReset": true,
      "showGroupName": true,
      "groupName": "example",
      "impactType": "allTabs",
      "impactTabsIds": [
        "example"
      ],
      "updateControlsOnChange": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "group": [
        {
          "title": "example",
          "impactType": "allTabs",
          "impactTabsIds": [
            "example"
          ],
          "id": "example",
          "namespace": "default",
          "defaults": {},
          "placementMode": "auto",
          "width": "example",
          "sourceType": "dataset",
          "source": null
        }
      ]
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Const: group_control

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "group_control",
      "data": {
        "autoHeight": true,
        "buttonApply": true,
        "buttonReset": true,
        "showGroupName": true,
        "groupName": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "updateControlsOnChange": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "group": [
          {
            "title": "example",
            "impactType": "allTabs",
            "impactTabsIds": [
              null
            ],
            "id": "example",
            "namespace": "default",
            "defaults": {},
            "placementMode": "auto",
            "width": "example",
            "sourceType": "dataset",
            "source": null
          }
        ]
      }
    }
    

Items displayed on the tab.

Example
[
  {
    "id": "example",
    "namespace": "default",
    "orderId": 0.5,
    "defaultOrderId": 0.5,
    "type": "text",
    "data": {
      "text": "example",
      "autoHeight": true,
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": null
      },
      "borderRadius": 0.5
    }
  }
]

layout

Type: object[]

h

Type: number

Item height in grid units.

i

Type: string

Dashboard item identifier.

Min length: 1

Example: example

w

Type: number

Item width in grid units.

x

Type: number

Horizontal grid position.

y

Type: number

Vertical grid position.

parent

Type: string

Parent item identifier.

Example: example

Item layout on the tab.

Example
[
  {
    "i": "example",
    "h": 0.5,
    "w": 0.5,
    "x": 0.5,
    "y": 0.5,
    "parent": "example"
  }
]

title

Type: string

Tab title.

Min length: 1

Example: example

globalItems

Type: array
One of 2 types
  • Type: object

    data

    One of 3 types
    • Type: object

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

            Example
            [
              "example"
            ]
            

          Default selected value or values.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          multiselectable

          Type: boolean

          Whether multiple values can be selected.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "multiselectable": true,
            "elementType": "select",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Date control type.

          Const: date

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Default date value.

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          isRange

          Type: boolean

          Whether the control selects a date range.

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "isRange": true,
            "elementType": "date",
            "defaultValue": "example"
          }
          
        • Type: object

          elementType

          Type: string

          Const: input

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Type: string

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "input",
            "defaultValue": "example"
          }
          
        • Type: object

          defaultValue

          Type: string

          Example: example

          elementType

          Type: string

          Const: checkbox

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          fieldType

          Type: string

          Type of the field used by the control.

          Example: example

          hint

          Type: string

          Control hint text.

          Example: example

          innerTitle

          Type: string

          Title displayed inside the control.

          Example: example

          operation

          Type: string

          Filtering operation.

          Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

          required

          Type: boolean

          Whether the control value is required.

          showHint

          Type: boolean

          Whether to show the control hint.

          showInnerTitle

          Type: boolean

          Whether to show the title inside the control.

          showTitle

          Type: boolean

          Whether to show the control title.

          titlePlacement

          Type: string

          Control title placement.

          Enum: hide, left, top

          Example
          {
            "required": true,
            "showHint": true,
            "showTitle": true,
            "hint": "example",
            "accentType": "info",
            "fieldType": "example",
            "innerTitle": "example",
            "showInnerTitle": true,
            "operation": "IN",
            "titlePlacement": "hide",
            "elementType": "checkbox",
            "defaultValue": "example"
          }
          
        Example
        {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example"
        }
        
      • Type: object

        datasetFieldId

        Type: string

        Source dataset field identifier.

        Min length: 1

        Example: example

        datasetId

        Type: string

        Source dataset identifier.

        Min length: 1

        Example: example

        datasetFieldType

        Type: string

        Source dataset field type.

        Enum: DIMENSION, MEASURE, PSEUDO, PARAMETER

        Example
        {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
        
      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "datasetId": "example",
        "datasetFieldId": "example",
        "datasetFieldType": "DIMENSION"
      }
      

      sourceType

      Type: string

      Const: dataset

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      autoHeight

      Type: boolean

      Whether to adjust the control height to its content.

      backgroundSettings

      Type: object

      color

      Any of 2 types
      • Type: object

        dark

        Type: string

        Color for the dark theme.

        Example: example

        light

        Type: string

        Color for the light theme.

        Example: example

        Example
        {
          "light": "example",
          "dark": "example"
        }
        
      • Type: string

        Example: example

      Example
      {
        "light": "example",
        "dark": "example"
      }
      

      Define the hex color for the widget's background

      Example
      {
        "color": {
          "light": "example",
          "dark": "example"
        }
      }
      

      borderRadius

      Type: number

      Border-radius of widgets. Value must be between 0 and 24 with step 2

      impactTabsIds

      Type: array | null

      List of tabs ids that regulate which tabs the selector will be displayed on. Depends on impactType field

      Example
      [
        "example"
      ]
      

      impactType

      Type: string

      Type that regulate which tabs the selector will be displayed on

      Enum: allTabs, currentTab, selectedTabs, asGroup

      Example
      {
        "title": "example",
        "impactType": "allTabs",
        "impactTabsIds": [
          "example"
        ],
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "autoHeight": true,
        "sourceType": "dataset",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
      
    • Type: object

      source

      All of 2 types
      • One of 4 types
        • Type: object

          elementType

          Type: string

          Select control type.

          Const: select

          Example: example

          accentType

          Type: string | null

          Control accent style.

          Const: info

          Example: example

          defaultValue

          Any of 2 types
          • Type: string

            Example: example

          • Type: string[]

[...]
